Forum Clubic

Installation du drivers ati pour x700 - sur une mandriva

kikou

et oui c’est encore moi j’ai pas laché l’affaire avec mon linux, je veux m’y mettre meme si ma machine me pose des soucis constament.

sous mandriva 2005 je n’ai pas de possibilité de lancer startX il me met une erreure
j’ai donc fait des recherche sur le net et j’ai trouver le dernier driver je l’ai graver sur un cd puis je l’ai executer avec un sudo ./atin-[…]-i386.run

il m’extrait tout puis me lance l’interface je repond okay à tout ce qu’il me demande mais à la fin j’ai un message d’erreure.

et mon driver n’est toujours pas installé

les "as" :sol: de linux vous auriez pas une solution?

:hello:

je suis aller voir le fichier de log indiqué, voici son contenue:

[message] kernel module : trying to install a precompiled kernel module.
[message] kernel module : precompiled kernel module version mismatched.
[error] kernel module : no kernel module build environnement - please consult read me

une idée ?

A mon avis il te faut les entêtes correspondant à la version de ton noyau (kernel-headers). Et vérifie que tu as bien gcc en prime :D.

j’ai l’impression que tu me parle chinois la :riva:

est ce que tu pourrais etre plus explicite sur ce que je dois faire et la maniere dont m’y prendre?
:jap:

Si un pro-mandriva pouvait passer par ici… :whistle: (j_c_p, amph…)

Sous ubuntu, pour pouvoir installer les pilotes ati, j’ai besoin des entêtes du noyau (kernel-headers) et d’un compilateur (gcc)… peut-être que sous mandriva c’est pareil ?

En fait, les pilotes ATI se composent de bibliothèques (bon les *.dll en gros), dont le code source n’est pas disponible, et d’un module, qui permet de faire le lien entre les pilotes ATI et ton noyau, et te permet d’avoir une accélération graphique. Le module est compilé (avec gcc) d’après ta version du noyau, et pour ce faire, il va chercher les informations dans les entêtes (kernel-headers).

Donc c’est pour ça que je dis qu’il te faut installer les paquets kernel-headers et gcc. Tu dois pouvoir le faire dans ton centre de contrôle mandriva)

Je ne crois pas.

Le message signifie que le module chargé ne correspond pas à la version du noyau utilisé.

Pour connaître le noyau utilisé:
uname -a

Et après il faut télécharger la version du driver qui correspond. Je pense que Mandriva fournie directement les bon drivers, mais je ne sais pas où :jpa: (sur les sources non-free de easyurpmi ??? )

ouais j’aimerai bien mais mon startx ne demarre pas donc aucun acces a l’environement graphique

Essaies les commandes fournies par le site easyurpmi, et tu peux faire l’installation sans interface graphique.

excuse moi atekor mais a quoi il sert ce site ?

a installer des paquets en ligne de commandes?

Non. A obtenir des commandes pour avoir des miroirs de sites sur lesquels il y a ce genre de logiciels.

Pour la ligne de commande tu essairas:
urpmi ati

Et tout devrait être fait automatiquement.

Vas voir ca
http://linuxfacile.neuf.fr/astuces/Serveur…ivers%20Ati.htm

c un topic sur l’installation des drivers Ati